%define upstream_name pdfminer.six

Name:           python-pdfminer
Version:        20201018
Release:        %mkrel 3
Summary:        PDF parser and analyzer
Group:          Development/Python
License:        MIT
URL:            https://pypi.python.org/pypi/pdfminer.six
Source0:        https://github.com/goulu/pdfminer/archive/%{version}/%{upstream_name}-%{version}.tar.gz
BuildArch:      noarch

%description
PDFMiner is a tool for extracting information from PDF documents. Unlike other
PDF-related tools, it focuses entirely on getting and analyzing text data.
PDFMiner allows to obtain the exact location of texts in a page, as well as
other information such as fonts or lines. It includes a PDF converter that can
transform PDF files into other text formats (such as HTML). It has an
extensible PDF parser that can be used for other purposes instead of text
analysis.

%package -n     python3-%{upstream_name}
Summary:        PDF parser and analyzer for Python 3
Group:          Development/Python
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)
%{?python_provide:%python_provide python3-%{upstream_name}}
Obsoletes:	python2-pdfminer.six < 20181108-2

%description -n python3-%{upstream_name}
PDFMiner is a tool for extracting information from PDF documents. Unlike other
PDF-related tools, it focuses entirely on getting and analyzing text data.
PDFMiner allows to obtain the exact location of texts in a page, as well as
other information such as fonts or lines. It includes a PDF converter that can
transform PDF files into other text formats (such as HTML). It has an
extensible PDF parser that can be used for other purposes instead of text
analysis.

This is the Python 3 version of the package.

%prep
%setup -q -n %{upstream_name}-%{version}

%build
%py3_build

%install
%py3_install

%files -n python3-%{upstream_name}
%{_bindir}/dumppdf.py
%{_bindir}/pdf2txt.py
%{python3_sitelib}/pdfminer
%{python3_sitelib}/pdfminer.six-%{version}-*.egg-info


%changelog
* Wed Mar 23 2022 umeabot <umeabot> 20201018-3.mga9
+ Revision: 1823540
- Mageia 9 Mass Rebuild

* Wed Feb 23 2022 mrambo3501 <mrambo3501> 20201018-2.mga9
+ Revision: 1783384
- rebuild for python-3.10

* Sun Apr 18 2021 daviddavid <daviddavid> 20201018-1.mga9
+ Revision: 1716455
- new version: 20201018

* Mon Jan 11 2021 wally <wally> 20200517-2.mga8
+ Revision: 1671147
- obsolete old python2 pkg also providing dumppdf.py and pdf2txt.py

* Wed Jul 15 2020 zezinho <zezinho> 20200517-1.mga8
+ Revision: 1606427
- new version 20200517

* Sun Feb 16 2020 umeabot <umeabot> 20181108-3.mga8
+ Revision: 1534315
- Mageia 8 Mass Rebuild

* Thu Oct 03 2019 daviddavid <daviddavid> 20181108-2.mga8
+ Revision: 1449006
- rebuild for python3.8
- drop python2 support

* Mon Jan 14 2019 zezinho <zezinho> 20181108-1.mga7
+ Revision: 1356881
- new version 20181108

* Mon Jan 07 2019 zezinho <zezinho> 20170720-3.mga7
+ Revision: 1351293
- rebuild for python3.7

* Thu Sep 20 2018 umeabot <umeabot> 20170720-2.mga7
+ Revision: 1289662
- Mageia 7 Mass Rebuild

* Sat Mar 03 2018 guillomovitch <guillomovitch> 20170720-1.mga7
+ Revision: 1206361
- new version 20170720
- ship python 2 version package as python2-pdfminer.six

* Sat Aug 05 2017 pterjan <pterjan> 20160614-3.mga7
+ Revision: 1135542
- Rebuild for python 3.6

* Sat Jan 14 2017 daviddavid <daviddavid> 20160614-2.mga6
+ Revision: 1081593
- add Python3 support
- use new python macros

* Sat Jan 14 2017 zezinho <zezinho> 20160614-1.mga6
+ Revision: 1081575
- new version 20160614

* Sat Jan 09 2016 guillomovitch <guillomovitch> 20151013-1.mga6
+ Revision: 920719
- new version 20151013

* Wed Oct 15 2014 umeabot <umeabot> 20140328-4.mga5
+ Revision: 751267
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 20140328-3.mga5
+ Revision: 729313
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 20140328-2.mga5
+ Revision: 688208
- Mageia 5 Mass Rebuild

* Sun Sep 07 2014 guillomovitch <guillomovitch> 20140328-1.mga5
+ Revision: 673235
- new version 20140328
+ pterjan <pterjan>
- Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 20110515-3.mga4
+ Revision: 544067
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 20110515-2.mga4
+ Revision: 499111
- Rebuild to add different pythonegg provides for python 2 and 3

* Wed Aug 21 2013 guillomovitch <guillomovitch> 20110515-1.mga4
+ Revision: 468887
- imported package python-pdfminer

